#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n,h;
    int s[n+1];
    scanf("%d%d",&n,&h);
    for(int i=0;i<n;i++)
    {
        scanf("%d",&s[i]);
    }
    int i2=-1;
    for(int i=0;i<n;i++)
    {
        if(h>=s[i])
           {
               i2=i+1;
                break;
           }
    }
    printf("%d",i2);
}